<?php
namespace Contabilidade\Repositories;

class Lancctbtemp extends \Doctrine\ORM\EntityRepository
{
    /* Dados de Lancamento Contabil */
    public function getLancctbtemp($cdempresa, $nrlancctbtemp){
        try{

            $sql =" SELECT L.CDEMPRESA , L.NRLANCCTBTEMP, L.NRSEQCTBTEMP , L.CDCONTCTBL   , C.CDCONTREDU   , C.NMCONTCTBL,
						   L.CDHISTPADR, L.DSHISTCTB    , L.DTLANCCTBTEMP, L.VRLANCCTBTEMP, L.IDLANCCTBCOME, L.CDLANCCTBCOME, 
						   E.NMEMPRESA , L.CDDOCUTEMP CDDOCUCONT
					  FROM LANCCTBTEMP L, CONTCTBL C, EMPRESA E
					 WHERE L.CDCONTCTBL  = C.CDCONTCTBL(+)
					   AND L.CDEMPRESA   = E.CDEMPRESA
					   AND L.CDEMPRESA   = :P_CDEMPRESA
					   AND NRLANCCTBTEMP = :P_NRLANCCTBTEMP
				  ORDER BY NRSEQCTBTEMP";

            $params = array('P_CDEMPRESA'     => $cdempresa,
                            'P_NRLANCCTBTEMP' => $nrlancctbtemp);

            return $this->getEntityManager()->getConnection()->fetchAll($sql, $params);

        }catch(\Exception $e){
            throw $e;
        }
    }

    /* Dados de Rateio Contabil */
    public function getRatectbtemp($cdempresa, $nrlancctbtemp, $nrseqctbtemp, $tnrseqctbtemp){
        try{

            $sql =" SELECT R.CDFILIAL, F.NMFILIAL, R.CDCENTCUST, C.NMCENTCUST, TO_DATE(R.DTCOMPCTBTEMP) DTCOMPCTBTEMP,
						   R.VRRATECTBTEMP VRLANCCUST, R.NRSEQCTBTEMP, R.NRLANCCTBTEMP, R.CDEMPRESA, R.NRSEQRATTEMP
					  FROM RATECTBTEMP R, FILIAL F, CENTCUST C, LANCCTBTEMP L
					 WHERE R.NRLANCCTBTEMP  = :P_NRLANCCTBTEMP
					   AND R.CDEMPRESA      = :P_CDEMPRESA
					   AND R.CDFILIAL       = F.CDFILIAL(+)
					   AND R.CDCENTCUST     = C.CDCENTCUST(+)
					   AND R.NRLANCCTBTEMP  = L.NRLANCCTBTEMP
					   AND R.NRSEQCTBTEMP   = L.NRSEQCTBTEMP
					   AND ((R.NRSEQCTBTEMP = :P_NRSEQCTBTEMP) OR ('T' = :P_TNRSEQCTBTEMP))
				  ORDER BY R.CDFILIAL, R.CDCENTCUST";

            $params = array('P_CDEMPRESA'     => $cdempresa,
                            'P_NRLANCCTBTEMP' => $nrlancctbtemp,
                            'P_NRSEQCTBTEMP'  => $nrseqctbtemp,
                            'P_TNRSEQCTBTEMP'  => $tnrseqctbtemp);

            return $this->getEntityManager()->getConnection()->fetchAll($sql, $params);

        }catch(\Exception $e){
            throw $e;
        }
    }

}