CREATE OR REPLACE
PROCEDURE VALIDA_ESTOQUE_DISP_ORE (P_FILIAL         IN POSESTDIA.CDFILIAL%TYPE, 
                                   P_PRODUTO        IN POSESTDIA.CDPRODUTO%TYPE,  
                                   P_NRORCAEVEN     IN ORCAEVENTO.NRORCAEVENTO%TYPE,  
                                   P_NRSEQORCA      IN ORCAEVENTO.NRSEQORCAEVE%TYPE, 
                                   P_DTEVENTO       IN ORCAEVENTO.DTEVENTO%TYPE,
                                   P_IDORCAENCO     IN VARCHAR2, 
                                   P_QTIEMPROD      IN FLOAT, 
                                   P_CDSUBGRPRODREL IN ITEMORCAEVEN.CDSUBGRPRODREL%TYPE, 
                                   P_CDGRUPPRODREL  IN ITEMORCAEVEN.CDGRUPPRODREL%TYPE,
                                   P_PAIS           IN ORCAEVENTO.CDPAIS%TYPE,
                                   P_ESTADO         IN ORCAEVENTO.SGESTADO%TYPE,
                                   P_MUNICIPIO      IN ORCAEVENTO.CDMUNICIPIO%TYPE,
                                   P_QTDISP      OUT FLOAT, 
                                   P_VDMENS      OUT VARCHAR2) 
IS 
  V_IDVALEST  VARCHAR2(1); 
  V_IDVALESTMAT VARCHAR2(30);
  V_ALMOXARIFE VARCHAR2(6); 
  V_LOCALESTOQ VARCHAR2(6); 
  V_QTDESTO  DOUBLE PRECISION; 
  V_QTGRUPOESTO NUMBER; 
  V_QTITORCAEVE DOUBLE PRECISION; 
  V_QTDIASVALANTEVE NUMBER; 
  V_QTDIASVALPOSEVE NUMBER; 
  V_QTDIASVALANTENT NUMBER; 
  V_QTDIASVALPOSENT NUMBER; 
  V_DTINICIOORE  DATE; 
  V_DTFINALORE DATE; 
  V_QTITORCAENCO DOUBLE PRECISION; 
  V_QTDISP DOUBLE PRECISION; 
  V_QTTOTAITEM DOUBLE PRECISION; 
  V_CDARVPROD VARCHAR2(20); 
  V_CDPRODESTO PRODUTO.CDPRODESTO%TYPE;
  V_QTDIASANTES NUMBER;
  V_QTDIASAPOS NUMBER;
  V_IDDIASUTEIS VARCHAR2(1);
  V_COUNT NUMBER;
  V_IDORCAENCO VARCHAR2(1);
  V_QTITMATERIAL DOUBLE PRECISION;
  V_QTEXP DOUBLE PRECISION;
  V_QTSOMA DOUBLE PRECISION;
BEGIN 
    BEGIN
        SELECT CDARVPROD,   CDPRODESTO 
          INTO V_CDARVPROD, V_CDPRODESTO 
          FROM PRODUTO 
         WHERE CDPRODUTO = P_PRODUTO;
    EXCEPTION
        WHEN NO_DATA_FOUND THEN
            V_CDARVPROD  := NULL;
            V_CDPRODESTO := NULL;
    END;
    
    IF NOT ((P_PAIS IS NULL) AND (P_ESTADO IS NULL) AND (P_MUNICIPIO IS NULL)) THEN  
       BEGIN  
          SELECT DECODE(SUM(QTDIASANTES), NULL, 0, SUM(QTDIASANTES)) AS QTDIASANTES,
                 DECODE(SUM(QTDIASAPOS), NULL, 0, SUM(QTDIASAPOS))   AS QTDIASAPOS  
           INTO V_QTDIASANTES, V_QTDIASAPOS     
           FROM (  SELECT NVL(QTDIASANTES, 0) AS QTDIASANTES,
                          NVL(QTDIASAPOS, 0)  AS QTDIASAPOS
                     FROM RESPRODORE 
                    WHERE CDFILIAL  = P_FILIAL
                      AND CDPRODUTO = P_PRODUTO 
                   UNION ALL   
                   SELECT NVL(QTDIASANTES, 0) AS QTDIASANTES,
                          NVL(QTDIASAPOS, 0)  AS QTDIASAPOS
                    FROM RESMUNICORE 
                   WHERE CDFILIAL    = P_FILIAL
                     AND CDPAIS      = P_PAIS
                     AND SGESTADO    = P_ESTADO
                     AND CDMUNICIPIO = P_MUNICIPIO ); 
       EXCEPTION
          WHEN NO_DATA_FOUND THEN
             V_QTDIASANTES := 0;
             V_QTDIASAPOS  := 0;
       END;
    ELSE
       BEGIN     
          SELECT DECODE(SUM(QTDIASANTES), NULL, 0, SUM(QTDIASANTES)) AS QTDIASANTES,
                 DECODE(SUM(QTDIASAPOS), NULL, 0, SUM(QTDIASAPOS))   AS QTDIASAPOS  
          INTO V_QTDIASANTES, V_QTDIASAPOS     
          FROM (  SELECT NVL(QTDIASANTES, 0) AS QTDIASANTES,
                         NVL(QTDIASAPOS, 0)  AS QTDIASAPOS
                   FROM RESPRODORE 
                  WHERE CDFILIAL  = P_FILIAL
                    AND CDPRODUTO = P_PRODUTO );
       EXCEPTION
          WHEN NO_DATA_FOUND THEN
              V_QTDIASANTES := 0;
              V_QTDIASAPOS  := 0;
       END;
    END IF;
    BEGIN
        SELECT IDDIASUTEIS
          INTO V_IDDIASUTEIS
          FROM RESPRODORE 
         WHERE CDFILIAL  = P_FILIAL
           AND CDPRODUTO = P_PRODUTO;
    EXCEPTION
        WHEN NO_DATA_FOUND THEN
            V_IDDIASUTEIS := 'N';    
    END;
    IF V_IDDIASUTEIS = 'N' THEN
        IF NOT ((P_PAIS IS NULL) AND (P_ESTADO IS NULL) AND (P_MUNICIPIO IS NULL)) THEN    
            BEGIN
                SELECT IDDIASUTEIS
                  INTO V_IDDIASUTEIS
                  FROM RESMUNICORE 
                 WHERE CDFILIAL    = P_FILIAL
                   AND CDPAIS      = P_PAIS
                   AND SGESTADO    = P_ESTADO
                   AND CDMUNICIPIO = P_MUNICIPIO;  
            EXCEPTION
                WHEN NO_DATA_FOUND THEN
                    V_IDDIASUTEIS := 'N';    
            END;
        END IF;
    END IF;
    IF V_IDDIASUTEIS = 'S' THEN
        V_COUNT := 1;
        WHILE V_COUNT > 0 LOOP
            SELECT COUNT(*)
             INTO V_COUNT
             FROM FERIFILI
            WHERE CDFILIAL   = P_FILIAL
              AND DTFERIFILI = TRUNC(P_DTEVENTO) + V_QTDIASAPOS;   
            IF V_COUNT > 0 THEN
              V_QTDIASAPOS := V_QTDIASAPOS + 1;   
            END IF;            
        END LOOP;
        V_COUNT := 1;
        WHILE V_COUNT > 0 LOOP
            SELECT COUNT(*)
             INTO V_COUNT
             FROM FERIFILI
            WHERE CDFILIAL   = P_FILIAL
              AND DTFERIFILI = TRUNC(P_DTEVENTO) - V_QTDIASANTES;   
            IF V_COUNT > 0 THEN
              V_QTDIASANTES := V_QTDIASANTES + 1;   
            END IF;            
        END LOOP;
    END IF;

    IF P_IDORCAENCO = 'O' THEN 
        SELECT MAX(IDVALESTLANOREV), 
               MAX(QTDIASVALANTEVE), 
               MAX(QTDIASVALPOSEVE), 
               MAX(QTDIASVALANTENT), 
               MAX(QTDIASVALPOSENT) 
          INTO V_IDVALEST, 
               V_QTDIASVALANTEVE, 
               V_QTDIASVALPOSEVE, 
               V_QTDIASVALANTENT, 
               V_QTDIASVALPOSENT 
          FROM PARAMORCAEVE; 
        IF V_QTDIASAPOS > 0 THEN
           V_QTDIASVALPOSEVE := V_QTDIASAPOS;
        END IF;
        IF V_QTDIASANTES > 0 THEN
           V_QTDIASVALANTEVE := V_QTDIASANTES; 
        END IF;  
        SELECT COUNT(S.CDSUBGRPROD) 
          INTO V_QTGRUPOESTO 
          FROM PARAMORCAEVE P, SUBGRUPPROD S 
         WHERE P.CDGRPRODRELORCA = S.CDGRUPPROD 
           AND S.CDGRUPPROD = P_CDGRUPPRODREL 
           AND S.CDSUBGRPROD =  P_CDSUBGRPRODREL 
           AND S.IDVERESTOLANORE = 'S'; 

    ELSE 
        IF P_IDORCAENCO = 'E' THEN
            SELECT MAX(IDVALESTLANENCO), 
                   MAX(QTDIASVALANTEVE), 
                   MAX(QTDIASVALPOSEVE), 
                   MAX(QTDIASVALANTENT), 
                   MAX(QTDIASVALPOSENT) 
              INTO V_IDVALEST, 
                   V_QTDIASVALANTEVE, 
                   V_QTDIASVALPOSEVE, 
                   V_QTDIASVALANTENT, 
                   V_QTDIASVALPOSENT 
              FROM PARAMORCAEVE; 
            IF V_QTDIASAPOS > 0 THEN
               V_QTDIASVALPOSEVE := V_QTDIASAPOS;
            END IF;
            IF V_QTDIASANTES > 0 THEN
               V_QTDIASVALANTEVE := V_QTDIASANTES; 
            END IF;  
            SELECT COUNT(S.CDSUBGRPROD) 
              INTO V_QTGRUPOESTO 
              FROM PARAMORCAEVE P, NVSUBGRPROD N, SUBGRUPPROD S, PRODUTO PA 
             WHERE P.CDGRPRODRELORCA = N.CDGRUPPROD 
               AND N.CDFILISUBGR = 'P' 
               AND S.CDGRUPPROD =  N.CDGRUPPROD 
               AND S.CDSUBGRPROD = N.CDSUBGRPROD 
               AND N.CDPRODUTO = PA.CDPRODUTO 
               AND (V_CDARVPROD BETWEEN PA.CDARVPROD AND PA.CDARVPROD || 'zzzzzzzzzzzzzzzzzzzz');
        ELSE 
            SELECT MAX(IDVERESTLANMAT)
              INTO V_IDVALESTMAT 
              FROM PARAMORCAEVE;
            IF V_IDVALESTMAT = 'NAOVERIFICA' THEN
                V_IDVALEST := 'N';
            ELSE
                V_IDVALEST    := 'V';
                V_QTGRUPOESTO := 1;                
            END IF;
            IF V_QTDIASAPOS > 0 
                THEN V_QTDIASVALPOSEVE := V_QTDIASAPOS;
                ELSE V_QTDIASVALPOSEVE := 0;
            END IF;
            IF V_QTDIASANTES > 0 
                THEN V_QTDIASVALANTEVE := V_QTDIASANTES;
                ELSE V_QTDIASVALANTEVE := 0;
            END IF;      
        END IF;
    END IF;

    IF (V_IDVALEST <> 'N') AND (V_QTGRUPOESTO > 0) THEN 
        BEGIN 
            SELECT DISTINCT CASE PA.IDUTILALMOX  WHEN 'S' THEN NVL(PF.CDALMOXPRCLI, PA.CDALMOXARIFE) ELSE ' ' END CDALMOX, 
                            CASE PA.IDUTILLCESTQ WHEN 'S' THEN NVL(PF.CDLOCALPRCLI, PA.CDLOCALESTOQ) ELSE ' ' END CDLOCAL 
              INTO V_ALMOXARIFE, 
                   V_LOCALESTOQ 
              FROM PRODFILI PF, PARAMFILIAL PA, PRODUTO PR 
             WHERE PR.CDPRODUTO    = P_PRODUTO 
               AND PA.CDFILIAL     = P_FILIAL 
               AND PF.CDPRODUTO    = PR.CDPRODESTO 
               AND PA.CDFILIAL     = PF.CDFILIAL; 
        EXCEPTION 
            WHEN NO_DATA_FOUND THEN 
                 V_ALMOXARIFE := ' '; 
                 V_LOCALESTOQ := ' '; 
        END;
        
        IF P_IDORCAENCO = 'O' THEN
            V_IDORCAENCO := 'O';
        ELSE
            IF P_IDORCAENCO = 'M' THEN
                V_IDORCAENCO := 'O';
            ELSE
                IF P_IDORCAENCO = 'E' THEN
                    V_IDORCAENCO := 'E';
                END IF;
            END IF;            
        END IF;
        
        V_QTDESTO := CONSULTA_ESTOQUE_ORE(P_FILIAL, V_CDPRODESTO, V_IDORCAENCO, V_ALMOXARIFE, V_LOCALESTOQ, ' ', ' '); 
        
        
        --Verifica a quantidade dos oramentos no perodo, diminuindo a quantidade expedida
        SELECT DECODE(SUM(IT.QTITEMORCEVE* PR.VRFATOCONV), NULL, 0, SUM(IT.QTITEMORCEVE* PR.VRFATOCONV)) 
          INTO V_QTSOMA 
          FROM ITEMORCAEVEN IT, ORCAEVENTO OE, PRODUTO PR 
         WHERE IT.CDFILIAL       = OE.CDFILIAL 
           AND IT.NRORCAEVENTO   = OE.NRORCAEVENTO 
           AND IT.NRSEQORCAEVE   = OE.NRSEQORCAEVE 
           AND OE.CDFILIAL       = P_FILIAL 
           AND IT.CDPRODUTO      = P_PRODUTO 
           AND IT.CDPRODUTO      = PR.CDPRODUTO
           AND OE.IDTPORCAEVEN   = 'O' 
           AND P_DTEVENTO BETWEEN (TRUNC(OE.DTEVENTO) - NVL(V_QTDIASVALANTEVE, 0)) 
			AND (TRUNC(OE.DTEVENTO) + NVL(V_QTDIASVALPOSEVE, 0)) 
           AND NOT OE.IDSITUORCEVE  IN ('1','7','8','9')
           AND NOT EXISTS (SELECT NF.IDORIGNFORCA
                             FROM NFRELACORC NF
                            WHERE NF.IDORIGNFORCA = 'E'
                              AND NF.CDFILIAL     = OE.CDFILIAL
                              AND NF.NRORCAEVENTO = OE.NRORCAEVENTO
                              AND NF.NRSEQORCAEVE = OE.NRSEQORCAEVE);
         
        IF V_QTSOMA > 0 THEN 
            SELECT DECODE(SUM(QTEXPITEMPED), NULL, 0, SUM(QTEXPITEMPED)) 
              INTO V_QTEXP
              FROM ITEMPEDIDO
             WHERE IDSITITEMPED IN ('4', '7')
               AND NRPEDIDO IN (SELECT NRPEDIDO 
                                  FROM PEDIDO
                                 WHERE CDFILIAL     = P_FILIAL
                                   AND NRORCAEVENTO IN (SELECT OE.NRORCAEVENTO
                                                          FROM ITEMORCAEVEN IT, ORCAEVENTO OE, PRODUTO PR 
                                                         WHERE IT.CDFILIAL       = OE.CDFILIAL 
                                                           AND IT.NRORCAEVENTO   = OE.NRORCAEVENTO 
                                                           AND IT.NRSEQORCAEVE   = OE.NRSEQORCAEVE 
                                                           AND OE.CDFILIAL       = P_FILIAL 
                                                           AND IT.CDPRODUTO      = P_PRODUTO 
                                                           AND IT.CDPRODUTO      = PR.CDPRODUTO
                                                           AND OE.IDTPORCAEVEN   = 'O' 
                                                           AND P_DTEVENTO BETWEEN (TRUNC(OE.DTEVENTO) - NVL(V_QTDIASVALANTEVE, 0)) 
						AND (TRUNC(OE.DTEVENTO) + NVL(V_QTDIASVALPOSEVE, 0)) 
                                                           AND NOT EXISTS (SELECT NF.IDORIGNFORCA
                                                                             FROM NFRELACORC NF
                                                                            WHERE NF.IDORIGNFORCA = 'E'
                                                                              AND NF.CDFILIAL     = OE.CDFILIAL
                                                                              AND NF.NRORCAEVENTO = OE.NRORCAEVENTO
                                                                              AND NF.NRSEQORCAEVE = OE.NRSEQORCAEVE)
                                                       )
                                   AND IDORIGPED    IN ('4', '5')
                               );
            V_QTITORCAEVE := V_QTSOMA - V_QTEXP;                               
        END IF;        
        
        --Verifica a quantidade das encomendas no perodo, diminuindo a quantidade expedida
        SELECT DECODE(SUM(IT.QTITEMORCEVE* PR.VRFATOCONV), NULL, 0, SUM(IT.QTITEMORCEVE* PR.VRFATOCONV)) 
          INTO V_QTSOMA 
          FROM ITEMORCAEVEN IT, ORCAEVENTO OE, PRODUTO PR 
         WHERE IT.CDFILIAL       = OE.CDFILIAL 
           AND IT.NRORCAEVENTO   = OE.NRORCAEVENTO 
           AND IT.NRSEQORCAEVE   = OE.NRSEQORCAEVE 
           AND OE.CDFILIAL       = P_FILIAL 
           AND IT.CDPRODUTO      = P_PRODUTO 
           AND PR.CDPRODUTO      = IT.CDPRODUTO
           AND OE.IDTPORCAEVEN   = 'E' 
           AND P_DTEVENTO BETWEEN (TRUNC(OE.DTHRENTROREV) - NVL(V_QTDIASVALANTENT, 0)) 
			       AND (TRUNC(OE.DTHRENTROREV) + NVL(V_QTDIASVALPOSENT, 0)) 
           AND NOT OE.IDSITUORCEVE IN ('1', '7')
           AND NOT EXISTS (SELECT NF.IDORIGNFORCA
                             FROM NFRELACORC NF
                            WHERE NF.IDORIGNFORCA = 'E'
                              AND NF.CDFILIAL     = OE.CDFILIAL
                              AND NF.NRORCAEVENTO = OE.NRORCAEVENTO
                              AND NF.NRSEQORCAEVE = OE.NRSEQORCAEVE);           
        
        IF V_QTSOMA > 0 THEN
            SELECT DECODE(SUM(QTEXPITEMPED), NULL, 0, SUM(QTEXPITEMPED)) 
              INTO V_QTEXP
              FROM ITEMPEDIDO
             WHERE IDSITITEMPED IN ('4', '7')
               AND NRPEDIDO IN (SELECT NRPEDIDO 
                                  FROM PEDIDO
                                 WHERE CDFILIAL     = P_FILIAL
                                   AND NRORCAEVENTO IN (SELECT OE.NRORCAEVENTO
                                                          FROM ITEMORCAEVEN IT, ORCAEVENTO OE, PRODUTO PR 
                                                         WHERE IT.CDFILIAL       = OE.CDFILIAL 
                                                           AND IT.NRORCAEVENTO   = OE.NRORCAEVENTO 
                                                           AND IT.NRSEQORCAEVE   = OE.NRSEQORCAEVE 
                                                           AND OE.CDFILIAL       = P_FILIAL 
                                                           AND IT.CDPRODUTO      = P_PRODUTO 
                                                           AND IT.CDPRODUTO      = PR.CDPRODUTO
                                                           AND OE.IDTPORCAEVEN   = 'E' 
                                                           AND P_DTEVENTO BETWEEN (TRUNC(OE.DTHRENTROREV) - NVL(V_QTDIASVALANTENT, 0)) 
                                                                                                       AND (TRUNC(OE.DTHRENTROREV) + NVL(V_QTDIASVALPOSENT, 0)) 
                                                           AND NOT EXISTS (SELECT NF.IDORIGNFORCA
                                                                             FROM NFRELACORC NF
                                                                            WHERE NF.IDORIGNFORCA = 'E'
                                                                              AND NF.CDFILIAL     = OE.CDFILIAL
                                                                              AND NF.NRORCAEVENTO = OE.NRORCAEVENTO
                                                                              AND NF.NRSEQORCAEVE = OE.NRSEQORCAEVE)                                                           
                                                       )
                                   AND IDORIGPED    = '7'
                               );     
            V_QTITORCAENCO := V_QTSOMA - V_QTEXP;  
        END IF; 
        
         --Verifica a quantidade de materiais no perodo, diminuindo a quantidade expedida
        SELECT DECODE(SUM(IT.QTITEMPED * PR.VRFATOCONV), NULL, 0,SUM(IT.QTITEMPED * PR.VRFATOCONV))
          INTO V_QTSOMA  
          FROM PEDIDO PE, ORCAEVENTO OE, ITEMPEDIDO IT, PRODUTO PR
         WHERE PE.CDFILIAL       = OE.CDFILIAL
           AND PE.NRORCAEVENTO   = OE.NRORCAEVENTO
           AND PE.CDFILIAL       = IT.CDFILIAL
           AND PE.NRPEDIDO       = IT.NRPEDIDO
           AND IT.CDPRODUTO      = P_PRODUTO
           AND IT.CDPRODUTO      = PR.CDPRODUTO
           AND OE.IDTPORCAEVEN   = 'O'
           AND PE.IDORIGPED      = '8'
           AND OE.NRORCAEVENTO  <> P_NRORCAEVEN
           AND OE.NRSEQORCAEVE  <> P_NRSEQORCA
           AND P_DTEVENTO BETWEEN (TRUNC(OE.DTEVENTO) - NVL(V_QTDIASVALANTEVE, 0)) 
			       AND (TRUNC(OE.DTEVENTO) + NVL(V_QTDIASVALPOSEVE, 0))
           AND NOT EXISTS (SELECT NF.IDORIGNFORCA
                             FROM NFRELACORC NF
                            WHERE NF.IDORIGNFORCA = 'E'
                              AND NF.CDFILIAL     = OE.CDFILIAL
                              AND NF.NRORCAEVENTO = OE.NRORCAEVENTO
                              AND NF.NRSEQORCAEVE = OE.NRSEQORCAEVE);           
        
        IF V_QTSOMA > 0 THEN
            SELECT DECODE(SUM(QTEXPITEMPED), NULL, 0, SUM(QTEXPITEMPED)) 
              INTO V_QTEXP
              FROM ITEMPEDIDO
             WHERE IDSITITEMPED IN ('4', '7')
               AND NRPEDIDO IN (SELECT NRPEDIDO 
                                  FROM PEDIDO
                                 WHERE CDFILIAL     = P_FILIAL
                                   AND NRORCAEVENTO IN (SELECT OE.NRORCAEVENTO
                                                          FROM PEDIDO PE, ORCAEVENTO OE, ITEMPEDIDO IT, PRODUTO PR
                                                         WHERE PE.CDFILIAL       = OE.CDFILIAL
                                                           AND PE.NRORCAEVENTO   = OE.NRORCAEVENTO
                                                           AND PE.CDFILIAL       = IT.CDFILIAL
                                                           AND PE.NRPEDIDO       = IT.NRPEDIDO
                                                           AND IT.CDPRODUTO      = P_PRODUTO
                                                           AND IT.CDPRODUTO      = PR.CDPRODUTO
                                                           AND OE.IDTPORCAEVEN   = 'O'
                                                           AND PE.IDORIGPED      = '8'
                                                           AND P_DTEVENTO BETWEEN (TRUNC(OE.DTEVENTO) - NVL(V_QTDIASVALANTEVE, 0)) 
						       AND (TRUNC(OE.DTEVENTO) + NVL(V_QTDIASVALPOSEVE, 0))
                                                           AND NOT EXISTS (SELECT NF.IDORIGNFORCA
                                                                             FROM NFRELACORC NF
                                                                            WHERE NF.IDORIGNFORCA = 'E'
                                                                              AND NF.CDFILIAL     = OE.CDFILIAL
                                                                              AND NF.NRORCAEVENTO = OE.NRORCAEVENTO
                                                                              AND NF.NRSEQORCAEVE = OE.NRSEQORCAEVE)                                                           
                                                       )
                                   AND IDORIGPED    = '8'
                               );        
            V_QTITMATERIAL := V_QTSOMA - V_QTEXP;
        END IF;

        P_QTDISP := NVL(V_QTDESTO, 0) - NVL(V_QTITORCAEVE, 0) - NVL(V_QTITORCAENCO, 0) - NVL(V_QTITMATERIAL, 0) - NVL(P_QTIEMPROD, 0); 
        
        IF V_IDVALEST = 'B' THEN 
            P_VDMENS := 'MENS_BLOQ'; 
        ELSE 
            P_VDMENS := 'MENS_AVISO'; 
        END IF;
    ELSE 
        P_QTDISP := 0; 
        P_VDMENS := 'NAO_VERIFICADO'; 
    END IF; 
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('VALIDA_ESTOQUE_DISP_ORE','0.00.000'); END;
/